<div>
  <div class="animated fadeIn">
    <div class="row">
      <div class="col-lg-12">
        <div class="card">
          <div class="card-header">
            {{ "object.rule.title_available" | translate }}
          </div>
          <div class="card-body">
            <div class="row mb-2">
              <div
                class="col-10 d-flex justify-content-start align-items-center"
              >
                <span class="mr-1" style="line-height: 33px">{{
                  "common.show" | translate
                }}</span>
                <select
                  (change)="changeLimit()"
                  [(ngModel)]="paging.limit"
                  class="form-control"
                  style="width: auto"
                >
                  <option
                    *ngFor="let limitElement of limits"
                    value="{{ limitElement.value }}"
                  >
                    {{ limitElement.label }}
                  </option>
                </select>
              </div>
            </div>

            <!--end row-->
            <table
              class="table table-bordered table-sort-icon"
              *ngIf="objectRule"
            >
              <thead>
                <tr
                  appSort
                  [orderBy]="order.orderBy"
                  [orderType]="order.orderType"
                  (orderChange)="changeOder($event)"
                >
                  <th appSortBy="ruleName" style="width: 40%">
                    {{ "object.rule.ruleName" | translate }}
                    <fa-icon></fa-icon>
                  </th>
                  <th class="text-center">
                    {{ "object.rule.detail" | translate }}
                  </th>
                  <th class="text-center">{{ "common.action" | translate }}</th>
                </tr>
              </thead>
              <tbody *ngIf="objectRule && objectRule.length">
                <tr *ngFor="let item of objectRule; index as i">
                  <td>{{ item.rule_available_name }}</td>
                  <td class="text-center">
                    <i
                      class="fa fa-list fs-20"
                      aria-hidden="true"
                      (click)="openDetailAvaiable(item)"
                    ></i>

                    <!-- dialog detail -->
                    <div
                      class="_tooltip tooltip__initiator text-left"
                      *ngIf="item.ruleAvailableTooltip"
                    >
                      <div class="tooltip__item" style="width: 987px">
                        <div class="card m-0">
                          <div class="card-header">
                            <span style="color: white">
                              {{ itemDetailAvaiable.rule_available_name }}
                            </span>
                            <button
                              type="button"
                              class="close"
                              aria-label="Close"
                              (click)="
                                item.ruleAvailableTooltip =
                                  !item.ruleAvailableTooltip
                              "
                            >
                              <i class="fa fa-times" style="color: yellow"></i>
                            </button>
                          </div>
                          <div class="card-body">
                            <div class="row">
                              <div class="col-6 mb-2">
                                <select
                                  (change)="changeLimitAva()"
                                  [(ngModel)]="pagingAva.limit"
                                  class="form-control"
                                  style="width: auto"
                                >
                                  <option
                                    *ngFor="let limitElement of limits"
                                    value="{{ limitElement.value }}"
                                  >
                                    {{ limitElement.label }}
                                  </option>
                                </select>
                              </div>
                              <div class="col-3 mb-2"></div>
                              <div class="col-3 mb-2">
                                <div class="input-group float-right">
                                  <input
                                    [(ngModel)]="dataSearchAva"
                                    type="text"
                                    class="form-control"
                                    placeholder="{{
                                      'common.search' | translate
                                    }}"
                                  />
                                  <div class="input-group-append">
                                    <button
                                      (click)="onSearch()"
                                      class="btn btn-dark"
                                      type="button"
                                      [disabled]="add || editStatus"
                                    >
                                      <i class="fa fa-search"></i>
                                    </button>
                                  </div>
                                </div>
                              </div>
                              <div class="col-12">
                                <app-ng-mutifilter
                                  [fields]="fieldsApplication"
                                  (filter)="onFilterApplication($event)"
                                >
                                </app-ng-mutifilter>
                              </div>
                              <div class="col-12 my-3">
                                <table
                                  class="table table-bordered table-sort-icon"
                                >
                                  <thead>
                                    <tr appSort>
                                      <th>
                                        {{ "object.rule.id_rule" | translate }}
                                      </th>
                                      <th>
                                        {{
                                          "object.rule.description" | translate
                                        }}
                                      </th>
                                      <th>
                                        {{ "object.rule.message" | translate }}
                                      </th>
                                      <th>
                                        {{ "object.rule.tag" | translate }}
                                      </th>
                                      <th>
                                        {{ "object.rule.action" | translate }}
                                      </th>
                                    </tr>
                                  </thead>
                                  <tbody *ngIf="DataCRS">
                                    <tr
                                      *ngFor="let item of DataCRS; index as i"
                                    >
                                      <td class="text-center">
                                        {{ item.id_rule }}
                                      </td>
                                      <td class="text-center">
                                        {{ item.description }}
                                      </td>
                                      <td class="text-center">
                                        {{ item.msg }}
                                      </td>
                                      <td class="text-center">
                                        <div
                                          *ngFor="
                                            let tag of item.tag;
                                            index as index
                                          "
                                        >
                                          <div class="btn-custom" *ngIf="tag">
                                            {{ tag }}
                                          </div>
                                        </div>
                                        <div
                                          class="_tooltip tooltip__initiator text-left"
                                          *ngIf="item.tag_dialog"
                                        >
                                          <div
                                            class="tooltip__item"
                                            style="width: 562px"
                                          >
                                            <div class="card m-0">
                                              <div class="card-header">
                                                <span style="color: white">
                                                  <button
                                                    class="btn btn-primary btn-sm"
                                                    (click)="saveTagAva(item)"
                                                  >
                                                    <i class="fa fa-save"></i>
                                                    <span
                                                      class="d-none d-md-inline"
                                                      >{{
                                                        "common.save"
                                                          | translate
                                                      }}</span
                                                    >
                                                  </button>
                                                </span>
                                                <button
                                                  type="button"
                                                  class="close"
                                                  aria-label="Close"
                                                  (click)="
                                                    closeDeditAvailable(item)
                                                  "
                                                >
                                                  <i
                                                    class="fa fa-times"
                                                    style="color: yellow"
                                                  ></i>
                                                </button>
                                              </div>
                                              <div
                                                class="card-body custom-quill p-0"
                                              >
                                                <quill-editor
                                                  [bounds]="'self'"
                                                  [style]="{
                                                    height: '100%',
                                                    width: '100%'
                                                  }"
                                                  [(ngModel)]="item.rule_detail"
                                                ></quill-editor>
                                              </div>
                                            </div>
                                          </div>
                                        </div>
                                      </td>
                                      <td class="text-center">
                                        <button
                                          [disabled]="
                                            item.edit_detail_available
                                          "
                                          (click)="onEditCRS(item)"
                                          class="btn btn-success btn-sm"
                                        >
                                          <i class="icon-pencil"></i>
                                          <span class="d-none d-md-inline">{{
                                            "common.edit" | translate
                                          }}</span>
                                        </button>
                                      </td>
                                    </tr>
                                  </tbody>
                                </table>
                                <div class="row">
                                  <div class="col-12">
                                    <span
                                      *ngIf="DataCRS.length !== 0"
                                      style="line-height: 33px; color: white"
                                      class="float-left"
                                    >
                                      {{
                                        "common.pagingInfo"
                                          | translate
                                            : {
                                                start: pagingAva.offset + 1,
                                                end:
                                                  pagingAva.offset +
                                                  DataCRS.length,
                                                total: pagingAva.total
                                              }
                                      }}
                                    </span>
                                    <div
                                      *ngIf="!DataCRS || DataCRS.length === 0"
                                      class="text-center"
                                    >
                                      <span>{{
                                        "common.no_record" | translate
                                      }}</span>
                                    </div>
                                    <ngb-pagination
                                      *ngIf="DataCRS.length !== 0"
                                      class="float-right"
                                      [boundaryLinks]="true"
                                      [collectionSize]="pagingAva.total"
                                      [pageSize]="pagingAva.limit"
                                      [maxSize]="5"
                                      [rotate]="true"
                                      [(page)]="pagingAva.page"
                                      (pageChange)="
                                        loadPage(pagingAva.page, item)
                                      "
                                    >
                                    </ngb-pagination>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </div>
                        </div>
                      </div>
                    </div>
                    <!-- end dialog detail -->
                  </td>
                  <td class="text-center">
                    <button
                      type="button"
                      class="btn btn-secondary color-blue"
                      (click)="onDownload(item.rule_available_name)"
                    >
                      <i class="fa fa-download" aria-hidden="true"></i>
                      {{ "common.download" | translate }}
                    </button>
                  </td>
                </tr>
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
  </div>

  <!-- rule ohers -->
  <div class="animated fadeIn">
    <div class="row">
      <div class="col-lg-12">
        <div class="card">
          <div class="card-header">
            {{ "object.ruleOther.title_others" | translate }}
          </div>
          <div class="card-body">
            <div class="row mb-2">
              <div
                class="col-10 d-flex justify-content-start align-items-center"
              >
                <span class="mr-1" style="line-height: 33px">{{
                  "common.show" | translate
                }}</span>
                <select
                  (change)="changeLimitOthers()"
                  [(ngModel)]="pagingOther.limit"
                  class="form-control"
                  style="width: auto"
                >
                  <option
                    *ngFor="let limitElement of limits"
                    value="{{ limitElement.value }}"
                  >
                    {{ limitElement.label }}
                  </option>
                </select>
              </div>
              <div class="col-2">
                <span class="float-right">
                  <button
                    [disabled]="add || editStatus"
                    class="btn btn-block btn-primary"
                    (click)="addOther()"
                  >
                    {{ "common.add" | translate }}
                  </button>
                </span>
              </div>
            </div>

            <!--end row-->
            <form [formGroup]="otherForm">
              <table class="table table-bordered table-sort-icon">
                <thead>
                  <tr
                    appSort
                    [orderBy]="order.orderBy"
                    [orderType]="order.orderType"
                    (orderChange)="changeOder($event)"
                  >
                    <th class="text-center" style="width: 105px">
                      {{ "object.ruleOther.name" | translate }}
                    </th>
                    <th class="text-center">
                      {{ "object.rule.detail" | translate }}
                    </th>
                    <th class="text-center">
                      {{ "object.ruleOther.description" | translate }}
                    </th>
                    <th class="text-center" style="width: 50px">
                      {{ "common.action" | translate }}
                    </th>
                    <th class="text-center" style="width: 50px">
                      {{ "object.ruleOther.upDown" | translate }}
                    </th>
                  </tr>
                </thead>
                <tbody
                  formArrayName="data"
                  *ngFor="let item of getFormData.controls; index as i"
                >
                  <tr [formGroupName]="i">
                    <td>
                      <div *ngIf="!item.get('is_update').value">
                        {{ item.get("name").value }}
                      </div>
                      <div *ngIf="item.get('is_update').value">
                        <input
                          type="text"
                          class="form-control"
                          formControlName="name"
                        />
                        <span
                          class="text-danger"
                          *ngIf="
                            item.get('name').touched && item.get('name').invalid
                          "
                          >{{
                            "error.validate.input_required" | translate
                          }}</span
                        >
                      </div>
                    </td>
                    <td class="text-center">
                      <div>
                        <i
                          class="fa fa-list fs-20"
                          aria-hidden="true"
                          (click)="openDetailOther(item, null, i)"
                        ></i>
                      </div>
                      <!-- dialog detail -->
                      <div
                        class="_tooltip tooltip__initiator text-left"
                        *ngIf="item.get('is_show').value"
                      >
                        <div
                          class="tooltip__item tooltip__item_other"
                          style="
                            transform: translate3d(-19%, 0, 0) !important;
                            width: 987px;
                            background: none !important;
                          "
                        >
                          <div
                            class="card m-0"
                            style="margin-bottom: 200px !important"
                          >
                            <div class="card-header">
                              <span style="color: white">
                                {{ itemDetailChidren.value.name }}
                              </span>
                              <button
                                type="button"
                                class="close"
                                aria-label="Close"
                                (click)="
                                  item
                                    .get('is_show')
                                    .setValue(!item.get('is_show').value)
                                "
                              >
                                <i
                                  class="fa fa-times"
                                  style="color: yellow"
                                ></i>
                              </button>
                            </div>
                            <div class="card-body">
                              <div class="row mb-2">
                                <div
                                  class="col-10 d-flex justify-content-start align-items-center"
                                >
                                  <span
                                    class="mr-1"
                                    style="line-height: 33px; color: #fff"
                                    >{{ "common.show" | translate }}</span
                                  >

                                  <select
                                    class="form-control"
                                    style="width: auto"
                                    [(value)]="pagingOtherChidren.limit"
                                    (change)="
                                      changeLimitOthersChidren(item, null, i)
                                    "
                                    id="pagingOtherChidren"
                                  >
                                    <option
                                      *ngFor="let limitElement of limits"
                                      value="{{ limitElement.value }}"
                                    >
                                      {{ limitElement.label }}
                                    </option>
                                  </select>
                                </div>
                                <div class="col-2">
                                  <span class="float-right">
                                    <button
                                      [disabled]="add || editStatus"
                                      class="btn btn-block btn-primary"
                                      (click)="addOtherChidren(i)"
                                    >
                                      {{ "common.add" | translate }}
                                    </button>
                                  </span>
                                </div>
                                <div class="col-8 mt-3">
                                  <app-ng-mutifilter
                                    [fields]="fieldsApplication"
                                    (filter)="
                                      onFilterApplicationChidren($event, i)
                                    "
                                  >
                                  </app-ng-mutifilter>
                                </div>
                                <div class="col-4 mt-3">
                                  <div class="input-group float-right">
                                    <input
                                      type="text"
                                      class="form-control"
                                      placeholder="{{
                                        'common.search' | translate
                                      }}"
                                      id="searchChidren"
                                    />
                                    <div class="input-group-append">
                                      <button
                                        (click)="onSearchChidren(i)"
                                        class="btn btn-dark"
                                        type="button"
                                        [disabled]="add || editStatus"
                                      >
                                        <i class="fa fa-search"></i>
                                      </button>
                                    </div>
                                  </div>
                                </div>
                              </div>

                              <!--end row-->
                              <div formGroupName="childDtailOther">
                                <table
                                  class="table table-bordered table-sort-icon"
                                >
                                  <thead>
                                    <tr appSort>
                                      <th
                                        class="text-center"
                                        style="width: 105px"
                                      >
                                        {{ "object.rule.id_rule" | translate }}
                                      </th>
                                      <th
                                        class="text-center"
                                        style="width: 105px"
                                      >
                                        {{ "object.rule.rules" | translate }}
                                      </th>
                                      <th class="text-center">
                                        {{
                                          "object.ruleOther.description"
                                            | translate
                                        }}
                                      </th>
                                      <th
                                        class="text-center"
                                        style="width: 50px"
                                      >
                                        {{ "common.action" | translate }}
                                      </th>
                                    </tr>
                                  </thead>
                                  <tbody
                                    formArrayName="data"
                                    *ngFor="
                                      let itemChidren of demo.controls;
                                      index as idx
                                    "
                                  >
                                    <tr [formGroupName]="idx">
                                      <td>
                                        <div
                                          *ngIf="
                                            !itemChidren.get('is_update').value
                                          "
                                        >
                                          {{ itemChidren.get("id_rule").value }}
                                        </div>
                                        <div
                                          *ngIf="
                                            itemChidren.get('is_update').value
                                          "
                                        >
                                          <input
                                            type="text"
                                            class="form-control"
                                            formControlName="id_rule"
                                          />
                                          <span
                                            class="text-danger"
                                            *ngIf="
                                              itemChidren.get('id_rule')
                                                .touched &&
                                              itemChidren.get('id_rule').invalid
                                            "
                                            >{{
                                              "error.validate.input_required"
                                                | translate
                                            }}</span
                                          >
                                        </div>
                                      </td>
                                      <td class="text-center">
                                        <div
                                          *ngIf="
                                            itemChidren.get('is_update').value
                                          "
                                          class="btn-custom"
                                          (click)="changeRule(itemChidren)"
                                        >
                                          Rule Detail
                                        </div>
                                        <div
                                          *ngIf="
                                            !itemChidren.get('is_update').value
                                          "
                                          class="btn-custom"
                                        >
                                          Rule Detail
                                        </div>
                                        <span
                                          class="text-danger"
                                          *ngIf="
                                            itemChidren.get('rules').touched &&
                                            itemChidren.get('rules').invalid
                                          "
                                          >{{
                                            "error.validate.input_required"
                                              | translate
                                          }}</span
                                        >
                                        <div
                                          class="_tooltip tooltip__initiator text-left"
                                          *ngIf="
                                            itemChidren.get('is_show').value
                                          "
                                        >
                                          <div
                                            class="tooltip__item tooltip__item_management"
                                            style="
                                              width: 562px;
                                              transform: translate3d(
                                                -44%,
                                                0,
                                                0
                                              );
                                            "
                                          >
                                            <div class="card m-0">
                                              <div class="card-header">
                                                <button
                                                  type="button"
                                                  class="close"
                                                  aria-label="Close"
                                                  (click)="
                                                    itemChidren
                                                      .get('is_show')
                                                      .setValue(false)
                                                  "
                                                >
                                                  <i
                                                    class="fa fa-times"
                                                    style="color: yellow"
                                                  ></i>
                                                </button>
                                              </div>
                                              <div
                                                class="card-body custom-quill p-0"
                                              >
                                                <quill-editor
                                                  [bounds]="'self'"
                                                  [style]="{
                                                    height: '100%',
                                                    width: '100%'
                                                  }"
                                                  formControlName="rules"
                                                ></quill-editor>
                                              </div>
                                            </div>
                                          </div>
                                        </div>
                                      </td>
                                      <td class="text-center">
                                        <div
                                          *ngIf="
                                            !itemChidren.get('is_update').value
                                          "
                                        >
                                          {{
                                            itemChidren.get("description").value
                                          }}
                                        </div>
                                        <div
                                          *ngIf="
                                            itemChidren.get('is_update').value
                                          "
                                        >
                                          <input
                                            type="text"
                                            class="form-control"
                                            formControlName="description"
                                          />
                                          <span
                                            class="text-danger"
                                            *ngIf="
                                              itemChidren.get('description')
                                                .touched &&
                                              itemChidren.get('description')
                                                .invalid
                                            "
                                            >{{
                                              "error.validate.input_required"
                                                | translate
                                            }}</span
                                          >
                                        </div>
                                      </td>
                                      <td class="text-center">
                                        <div class="btn-group">
                                          <button
                                            *ngIf="
                                              !itemChidren.get('is_update')
                                                .value
                                            "
                                            type="button"
                                            class="btn btn-success btn-sm"
                                            (click)="onEditChidren(idx)"
                                          >
                                            <i class="icon-pencil"></i>
                                            <span class="d-none d-md-inline">
                                              {{
                                                "common.edit" | translate
                                              }}</span
                                            >
                                          </button>
                                          <button
                                            *ngIf="
                                              itemChidren.get('is_update').value
                                            "
                                            type="submit"
                                            (click)="saveChidren(idx, i, item)"
                                            [disabled]="itemChidren.invalid"
                                            class="btn btn-primary btn-sm"
                                          >
                                            <i class="icon-pencil"></i>
                                            <span class="d-none d-md-inline">{{
                                              "common.save" | translate
                                            }}</span>
                                          </button>
                                          <button
                                            *ngIf="
                                              !itemChidren.get('is_update')
                                                .value
                                            "
                                            type="button"
                                            [disabled]="isEditing"
                                            class="btn btn-danger btn-sm"
                                            (click)="
                                              deleteChidren(
                                                deleteModalChidren,
                                                i,
                                                itemChidren,
                                                item,
                                                idx
                                              )
                                            "
                                          >
                                            <i class="icon-trash"></i>
                                            <span class="d-none d-md-inline">
                                              {{
                                                "common.delete" | translate
                                              }}</span
                                            >
                                          </button>
                                          <button
                                            *ngIf="
                                              itemChidren.get('is_update').value
                                            "
                                            type="submit"
                                            (click)="onCancelChidren(i, item)"
                                            class="btn btn-danger btn-sm"
                                          >
                                            <i class="icon-action-undo"></i>
                                            <span class="d-none d-md-inline">{{
                                              "common.cancel" | translate
                                            }}</span>
                                          </button>
                                        </div>
                                      </td>
                                    </tr>
                                  </tbody>
                                </table>
                              </div>

                              <div class="row">
                                <div class="col-12">
                                  <span
                                    *ngIf="demo.controls.length !== 0"
                                    style="line-height: 33px; color: white"
                                    class="float-left"
                                  >
                                    {{
                                      "common.pagingInfo"
                                        | translate
                                          : {
                                              start:
                                                pagingOtherChidren.offset + 1,
                                              end:
                                                pagingOtherChidren.offset +
                                                demo.controls.length,
                                              total: pagingOtherChidren.total
                                            }
                                    }}
                                  </span>
                                  <div
                                    *ngIf="
                                      !demo.controls ||
                                      demo.controls.length === 0
                                    "
                                    class="text-center"
                                  >
                                    <span>{{
                                      "common.no_record" | translate
                                    }}</span>
                                  </div>
                                  <ngb-pagination
                                    *ngIf="demo.controls.length !== 0"
                                    class="float-right"
                                    [boundaryLinks]="true"
                                    [collectionSize]="pagingOtherChidren.total"
                                    [pageSize]="pagingOtherChidren.limit"
                                    [maxSize]="5"
                                    [rotate]="true"
                                    [(page)]="pagingOtherChidren.page"
                                    (pageChange)="
                                      loadPageChidren(
                                        pagingOtherChidren.page,
                                        item,
                                        i
                                      )
                                    "
                                  >
                                  </ngb-pagination>
                                </div>
                              </div>
                            </div>
                          </div>
                        </div>
                      </div>
                      <!-- end dialog detail -->
                    </td>
                    <td class="text-center">
                      <div *ngIf="!item.get('is_update').value">
                        {{ item.get("description").value }}
                      </div>
                      <div *ngIf="item.get('is_update').value">
                        <input
                          type="text"
                          class="form-control"
                          formControlName="description"
                        />
                        <span
                          class="text-danger"
                          *ngIf="
                            item.get('description').touched &&
                            item.get('description').invalid
                          "
                          >{{
                            "error.validate.input_required" | translate
                          }}</span
                        >
                      </div>
                    </td>
                    <td class="text-center">
                      <div class="btn-group">
                        <button
                          *ngIf="!item.get('is_update').value"
                          type="button"
                          class="btn btn-success btn-sm"
                          (click)="onEdit(i)"
                        >
                          <i class="icon-pencil"></i>
                          <span class="d-none d-md-inline">
                            {{ "common.edit" | translate }}</span
                          >
                        </button>
                        <button
                          *ngIf="item.get('is_update').value"
                          type="submit"
                          (click)="save(i)"
                          [disabled]="item.invalid"
                          class="btn btn-primary btn-sm"
                        >
                          <i class="icon-pencil"></i>
                          <span class="d-none d-md-inline">{{
                            "common.save" | translate
                          }}</span>
                        </button>
                        <button
                          *ngIf="!item.get('is_update').value"
                          type="button"
                          class="btn btn-danger btn-sm"
                          (click)="delete(deleteModal, i, item)"
                        >
                          <i class="icon-trash"></i>
                          <span class="d-none d-md-inline">
                            {{ "common.delete" | translate }}</span
                          >
                        </button>
                        <button
                          *ngIf="item.get('is_update').value"
                          type="submit"
                          (click)="onCancelEdit(i)"
                          class="btn btn-danger btn-sm"
                        >
                          <i class="icon-action-undo"></i>
                          <span class="d-none d-md-inline">{{
                            "common.cancel" | translate
                          }}</span>
                        </button>
                      </div>
                    </td>
                    <td class="text-center">
                      <div class="btn-group">
                        <button
                          type="button"
                          class="btn btn-secondary color-blue btn-sm"
                          style="background: #2b78e4"
                          (click)="onUploadOther(item, i)"
                        >
                          <i class="fa fa-upload" aria-hidden="true"></i>
                          {{ "common.upload" | translate }}
                        </button>
                        <input
                          style="display: none"
                          id="fileOther"
                          type="file"
                          class="mb-2"
                          (change)="onChangeUploadFile($event, item)"
                        />
                        <button
                          type="button"
                          class="btn btn-secondary color-blue btn-sm"
                          (click)="onDownloadOther(item)"
                        >
                          <i class="fa fa-download" aria-hidden="true"></i>
                          {{ "common.download" | translate }}
                        </button>
                      </div>
                    </td>
                  </tr>
                </tbody>
              </table>
            </form>
            <div class="row">
              <div class="col-12">
                <span
                  *ngIf="getFormData.value.length !== 0"
                  style="line-height: 33px; color: white"
                  class="float-left"
                >
                  {{
                    "common.pagingInfo"
                      | translate
                        : {
                            start: pagingOther.offset + 1,
                            end: pagingOther.offset + getFormData.value.length,
                            total: pagingOther.total
                          }
                  }}
                </span>
                <div
                  *ngIf="!getFormData.value || getFormData.value.length === 0"
                  class="text-center"
                >
                  <span>{{ "common.no_record" | translate }}</span>
                </div>
                <ngb-pagination
                  *ngIf="getFormData.value.length !== 0"
                  class="float-right"
                  [boundaryLinks]="true"
                  [collectionSize]="pagingOther.total"
                  [pageSize]="pagingOther.limit"
                  [maxSize]="5"
                  [rotate]="true"
                  [(page)]="pagingOther.page"
                  (pageChange)="loadPageOther(pagingOther.page)"
                >
                </ngb-pagination>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<ng-template #deleteModal let-modal>
  <div class="modal-header">
    <h4 class="modal-title" id="modal-comfirm-delete-title">
      {{ "object.ruleOther.delete_popup.title" | translate }}
    </h4>
    <button
      type="button"
      class="close"
      aria-label="Close"
      (click)="modal.dismiss('Cross click')"
    >
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    {{
      "object.ruleOther.delete_popup.message"
        | translate: { name: itemOther.name }
    }}
  </div>
  <div class="modal-footer">
    <button
      type="button"
      class="btn btn-danger"
      (click)="modal.close('delete')"
    >
      {{ "common.delete" | translate }}
    </button>
    <button
      type="button"
      class="btn btn-secondary"
      (click)="modal.close('Close')"
    >
      {{ "common.close" | translate }}
    </button>
  </div>
</ng-template>

<ng-template #deleteModalChidren let-modal>
  <div class="modal-header">
    <h4 class="modal-title" id="modal-comfirm-delete-title">
      {{ "object.ruleOther.delete_popup.title" | translate }}
    </h4>
    <button
      type="button"
      class="close"
      aria-label="Close"
      (click)="modal.dismiss('Cross click')"
    >
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    {{
      "object.ruleOther.delete_popup.messageNew"
        | translate: { name: itemOtherChidren.id_rule }
    }}
  </div>
  <div class="modal-footer">
    <button
      type="button"
      class="btn btn-danger"
      (click)="modal.close('delete')"
    >
      {{ "common.delete" | translate }}
    </button>
    <button
      type="button"
      class="btn btn-secondary"
      (click)="modal.close('Close')"
    >
      {{ "common.close" | translate }}
    </button>
  </div>
</ng-template>
